Update Index Rate Alert
Use this method to update an index rate alert. You can change the alert’s configuration details.
curl --request PUT \
--url https://api.mezmo.com/v1/config/index-rate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"max_lines": 123,
"max_z_score": 123,
"channels": {
"email": [
"<string>"
],
"pagerduty": [
"<string>"
],
"slack": [
"<string>"
],
"webhook": [
{
"url": "<string>",
"headers": {
"timestamp": "<string>"
},
"bodyTemplate": "<string>"
}
]
},
"enabled": true
}
'import requests
url = "https://api.mezmo.com/v1/config/index-rate"
payload = {
"max_lines": 123,
"max_z_score": 123,
"channels": {
"email": ["<string>"],
"pagerduty": ["<string>"],
"slack": ["<string>"],
"webhook": [
{
"url": "<string>",
"headers": { "timestamp": "<string>" },
"bodyTemplate": "<string>"
}
]
},
"enabled": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
max_lines: 123,
max_z_score: 123,
channels: {
email: ['<string>'],
pagerduty: ['<string>'],
slack: ['<string>'],
webhook: [{url: '<string>', headers: {timestamp: '<string>'}, bodyTemplate: '<string>'}]
},
enabled: true
})
};
fetch('https://api.mezmo.com/v1/config/index-rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"max_lines": 123,
"max_z_score": 123,
"channels": {
"email": [
"<string>"
],
"pagerduty": [
"<string>"
],
"slack": [
"<string>"
],
"webhook": [
{
"url": "<string>",
"headers": {
"timestamp": "<string>"
},
"bodyTemplate": "<string>"
}
]
},
"enabled": true
}This response has no body data.{
"code": "<string>",
"error": "<string>"
}Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Body
Request parameters
The number of lines required in order to trigger the alert.
The number of standard deviations above the 30 day average lines in order to trigger the alert.
Determines if you want alerts to be triggered if both the max lines and standard deviation have been triggered, or if one of the thresholds has been reached.
separate, both Notify recipients once per hour, or once per day, (starting when the threshold is passed the first time) until the index rate drops below the thresholds. When the index rate drops below the thresholds, alerting stops.
hourly, daily Show child attributes
Show child attributes
Response
OK
The number of lines required in order to trigger the alert.
The number of standard deviations above the 30 day average lines in order to trigger the alert.
Determines if you want alerts to be triggered if both the max lines and standard deviation have been triggered, or if one of the thresholds has been reached.
separate, both Notify recipients once per hour, or once per day, (starting when the threshold is passed the first time) until the index rate drops below the thresholds. When the index rate drops below the thresholds, alerting stops.
hourly, daily Show child attributes
Show child attributes
Was this page helpful?

